View Issue Details

IDProjectCategoryView StatusLast Update
0002766Far ManagerFindFilespublic2015-05-02 04:26
ReporterMaximAssigned ToDrKnS 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Platformx64OSWindowsOS Version7
Product Version3.0 
Target VersionFixed in Version3.0 
Summary0002766: не работает поиск, если в имени папки встречается запятая
DescriptionВ билдах 4040 и 4045 поиск не находит ни одного файла в директориях, содержащих запятую.
Steps To ReproduceСоздать папку "123, 456".
Скопировать в нее любой файл.
Alt+F7
*.*
Enter
TagsNo tags attached.
Build4049

Relationships

has duplicate 0002988 closed Поиск (Alt-F7) не находит никаких файлов если в имени текущей директории есть запятая 

Activities

shmuel

2014-08-15 10:00

developer   bugnote:0012848

У меня работает, файлы находятся.
Windows XP SP3 x86, Far 3.0.4033 и Far 3.0.4045.

shmuel

2014-08-15 10:05

developer   bugnote:0012849

Ага, удалось воспроизвести.
Поиск должен начинаться внутри папки, содержащей запятую, тогда файлы не находятся. Если же поиск начинается с более высокого уровня, то находятся.

Maxim

2014-08-15 10:10

reporter   bugnote:0012850

Да, простите, неточно сформулировал.

shmuel

2014-08-15 10:16

developer   bugnote:0012851

Интересно, что у плагинов (S&R, RESearch и LF Search) этого дефекта нет.

Maxim

2014-08-15 12:10

reporter   bugnote:0012852

На всякий случай: поиск также ничего не дает, если он начинается внутри папки, которая не содержит запятых, но сама находится в папке с запятой.

DrKnS

2014-08-16 16:17

administrator   bugnote:0012856

4049

Issue History

Date Modified Username Field Change
2014-08-15 09:47 Maxim New Issue
2014-08-15 10:00 shmuel Note Added: 0012848
2014-08-15 10:05 shmuel Note Added: 0012849
2014-08-15 10:10 Maxim Note Added: 0012850
2014-08-15 10:16 shmuel Note Added: 0012851
2014-08-15 12:10 Maxim Note Added: 0012852
2014-08-16 16:17 DrKnS Note Added: 0012856
2014-08-16 16:17 DrKnS Assigned To => DrKnS
2014-08-16 16:17 DrKnS Status new => feedback
2014-09-02 21:32 DrKnS Build => 4049
2014-09-02 21:32 DrKnS Status feedback => closed
2014-09-02 21:32 DrKnS Resolution open => fixed
2014-09-02 21:32 DrKnS Fixed in Version => 3.0
2015-05-02 04:26 shmuel Relationship added has duplicate 0002988